<?php
	
	$hr_staffing_agency_tp_theme_css = '';

	// 1st color
	$hr_staffing_agency_tp_color_option_first = get_theme_mod('hr_staffing_agency_tp_color_option_first', '#E91663');
	if ($hr_staffing_agency_tp_color_option_first) {
		$hr_staffing_agency_tp_theme_css .= ':root {';
		$hr_staffing_agency_tp_theme_css .= '--color-primary1: ' . esc_attr($hr_staffing_agency_tp_color_option_first) . ';';
		$hr_staffing_agency_tp_theme_css .= '}';
	}

	// 2nd color
	$hr_staffing_agency_tp_color_option_sec = get_theme_mod('hr_staffing_agency_tp_color_option_sec', '#5D469E');
	if ($hr_staffing_agency_tp_color_option_sec) {
		$hr_staffing_agency_tp_theme_css .= ':root {';
		$hr_staffing_agency_tp_theme_css .= '--color-primary2: ' . esc_attr($hr_staffing_agency_tp_color_option_sec) . ';';
		$hr_staffing_agency_tp_theme_css .= '}';
	}

	// preloader
	$hr_staffing_agency_tp_preloader_color1_option = get_theme_mod('hr_staffing_agency_tp_preloader_color1_option');
	if($hr_staffing_agency_tp_preloader_color1_option != false){
	$hr_staffing_agency_tp_theme_css .='.center1{';
		$hr_staffing_agency_tp_theme_css .='border-color: '.esc_attr($hr_staffing_agency_tp_preloader_color1_option).' !important;';
	$hr_staffing_agency_tp_theme_css .='}';
	}
	if($hr_staffing_agency_tp_preloader_color1_option != false){
	$hr_staffing_agency_tp_theme_css .='.center1 .ring::before{';
		$hr_staffing_agency_tp_theme_css .='background: '.esc_attr($hr_staffing_agency_tp_preloader_color1_option).' !important;';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	$hr_staffing_agency_tp_preloader_color2_option = get_theme_mod('hr_staffing_agency_tp_preloader_color2_option');

	if($hr_staffing_agency_tp_preloader_color2_option != false){
	$hr_staffing_agency_tp_theme_css .='.center2{';
		$hr_staffing_agency_tp_theme_css .='border-color: '.esc_attr($hr_staffing_agency_tp_preloader_color2_option).' !important;';
	$hr_staffing_agency_tp_theme_css .='}';
	}
	if($hr_staffing_agency_tp_preloader_color2_option != false){
	$hr_staffing_agency_tp_theme_css .='.center2 .ring::before{';
		$hr_staffing_agency_tp_theme_css .='background: '.esc_attr($hr_staffing_agency_tp_preloader_color2_option).' !important;';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	$hr_staffing_agency_tp_preloader_bg_color_option = get_theme_mod('hr_staffing_agency_tp_preloader_bg_color_option');

	if($hr_staffing_agency_tp_preloader_bg_color_option != false){
	$hr_staffing_agency_tp_theme_css .='.loader{';
		$hr_staffing_agency_tp_theme_css .='background: '.esc_attr($hr_staffing_agency_tp_preloader_bg_color_option).';';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	$hr_staffing_agency_tp_footer_bg_color_option = get_theme_mod('hr_staffing_agency_tp_footer_bg_color_option');


	if($hr_staffing_agency_tp_footer_bg_color_option != false){
	$hr_staffing_agency_tp_theme_css .='#footer{';
		$hr_staffing_agency_tp_theme_css .='background: '.esc_attr($hr_staffing_agency_tp_footer_bg_color_option).';';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	// logo tagline color
	$hr_staffing_agency_site_tagline_color = get_theme_mod('hr_staffing_agency_site_tagline_color');

	if($hr_staffing_agency_site_tagline_color != false){
	$hr_staffing_agency_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$hr_staffing_agency_tp_theme_css .='color: '.esc_attr($hr_staffing_agency_site_tagline_color).';';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	$hr_staffing_agency_logo_tagline_color = get_theme_mod('hr_staffing_agency_logo_tagline_color');
	if($hr_staffing_agency_logo_tagline_color != false){
	$hr_staffing_agency_tp_theme_css .='p.site-description{';
	$hr_staffing_agency_tp_theme_css .='color: '.esc_attr($hr_staffing_agency_logo_tagline_color).';';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	// footer widget title color
	$hr_staffing_agency_footer_widget_title_color = get_theme_mod('hr_staffing_agency_footer_widget_title_color');
	if($hr_staffing_agency_footer_widget_title_color != false){
	$hr_staffing_agency_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$hr_staffing_agency_tp_theme_css .='color: '.esc_attr($hr_staffing_agency_footer_widget_title_color).';';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	// copyright text color
	$hr_staffing_agency_footer_copyright_text_color = get_theme_mod('hr_staffing_agency_footer_copyright_text_color');
	if($hr_staffing_agency_footer_copyright_text_color != false){
	$hr_staffing_agency_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$hr_staffing_agency_tp_theme_css .='color: '.esc_attr($hr_staffing_agency_footer_copyright_text_color).'!important;';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	// header image title color
	$hr_staffing_agency_header_image_title_text_color = get_theme_mod('hr_staffing_agency_header_image_title_text_color');
	if($hr_staffing_agency_header_image_title_text_color != false){
	$hr_staffing_agency_tp_theme_css .='.box-text h2{';
	$hr_staffing_agency_tp_theme_css .='color: '.esc_attr($hr_staffing_agency_header_image_title_text_color).';';
	$hr_staffing_agency_tp_theme_css .='}';
	}

	// menu color
	$hr_staffing_agency_menu_color = get_theme_mod('hr_staffing_agency_menu_color');
	if($hr_staffing_agency_menu_color != false){
	$hr_staffing_agency_tp_theme_css .='.main-navigation a{';
	$hr_staffing_agency_tp_theme_css .='color: '.esc_attr($hr_staffing_agency_menu_color).';';
	$hr_staffing_agency_tp_theme_css .='}';
}